package com.palmnest.service.estateserve;

import com.alibaba.fastjson.JSONObject;
import com.palmnest.application.bean.Pagenation;
import com.palmnest.service.GenericManager;
import org.springframework.ui.ModelMap;

import java.util.List;
import java.util.Map;

/**
 * 商城业务管理层接口
 *
 * @version 1.0
 * @authr xiemin
 */
public interface ShoppingMallManager extends GenericManager<Object, Integer> {

	/**
	 * 查询商城信息列表
	 *
	 * @param map
	 * @return
	 */
	public Pagenation<Map<String, String>> queryMallList(ModelMap modelMap);

	/**
	 * 添加商城信息
	 *
	 * @param modelMap
	 * @return
	 */
	public JSONObject addMallUrl(ModelMap modelMap);

	/**
	 * 根据名称查询项目列表
	 *
	 * @param mallName
	 * @return
	 */
	public List<Map<String, String>> findByNameList(String orgName);

	/**
	 * 查询详情
	 *
	 * @param id
	 * @return
	 */
	public Map<String, String> queryDetails(String id);

	/**
	 * 启用禁用
	 *
	 * @param id
	 * @return
	 */
	public JSONObject mallDelete(String id, String status);

	/**
	 * 根据key查询url
	 *
	 * @param urlKey
	 * @return
	 */
	public Map<String, String> queryUrlKey(String urlKey);

	/**
	 * 查询adcode
	 *
	 * @param organizationId
	 * @return
	 */
	public String queryAddressCode(String organizationId);

}
